#
# spec file for package geoclue
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           geoclue
Version:        0.12.99
Release:        11.3
Summary:        Modular Geoinformation Service
License:        LGPL-2.0
Group:          Development/Libraries/Other
Url:            http://geoclue.freedesktop.org/
Source0:        http://freedesktop.org/~hadess/%{name}-%{version}.tar.gz
Source1:        baselibs.conf
BuildRequires:  NetworkManager-devel
BuildRequires:  dbus-1-glib-devel
BuildRequires:  gconf2-devel
BuildRequires:  glib2-devel
BuildRequires:  gtk-doc
BuildRequires:  gtk2-devel
BuildRequires:  libsoup-devel
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  libxslt
Recommends:     %{name}-recommended = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Geoclue is a modular geoinformation service built on top of the D-Bus
messaging system. The goal of the Geoclue project is to make creating
location-aware applications as simple as possible.

%package recommended
Summary:        Modular Geoinformation Service - Recommended providers
Group:          Development/Libraries/Other

%description recommended
Geoclue is a modular geoinformation service built on top of the D-Bus
messaging system. The goal of the Geoclue project is to make creating
location-aware applications as simple as possible.

This package contains providers that do not require external
dependencies.

%package example
Summary:        Modular Geoinformation Service - Example backend
Group:          Development/Libraries/Other

%description example
Geoclue is a modular geoinformation service built on top of the D-Bus
messaging system. The goal of the Geoclue project is to make creating
location-aware applications as simple as possible.

This package provides an example backend.

%package gsmloc
Summary:        Modular Geoinformation Service - GSM backend
Group:          Development/Libraries/Other

%description gsmloc
Geoclue is a modular geoinformation service built on top of the D-Bus
messaging system. The goal of the Geoclue project is to make creating
location-aware applications as simple as possible.

This package provides a backend, using information coming from a GSM
(cellular) device through ofono and opencellid.org.

%package -n libgeoclue0
Summary:        Modular Geoinformation Service - Library
Group:          Development/Libraries/Other

%description -n libgeoclue0
Geoclue is a modular geoinformation service built on top of the D-Bus
messaging system. The goal of the Geoclue project is to make creating
location-aware applications as simple as possible.

%package -n libgeoclue-devel
Summary:        Modular Geoinformation Service - Development Files
Group:          Development/Libraries/Other
Requires:       dbus-1-glib-devel
Requires:       libgeoclue0 = %{version}
Requires:       libxml2-devel

%description -n libgeoclue-devel
Geoclue is a modular geoinformation service built on top of the D-Bus
messaging system. The goal of the Geoclue project is to make creating
location-aware applications as simple as possible.

%prep
%setup -q

%build
%if 0%{?suse_version} > 1120
autoreconf -fi
%endif

%configure \
    --disable-static \
    --enable-networkmanager=yes \
    --enable-gpsd=no \
%if 0%{?suse_version} > 1120
    --enable-skyhook=yes
%else
    --enable-skyhook=no
%endif

make %{?_smp_mflags}

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print
# Install the test gui as it seems the test isn't installed any more
mkdir %{buildroot}%{_bindir}
cp test/.libs/geoclue-test-gui %{buildroot}%{_bindir}/

%clean
%{__rm} -rf %{buildroot}

%post -n libgeoclue0 -p /sbin/ldconfig

%postun -n libgeoclue0 -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{_bindir}/geoclue-test-gui
%{_libexecdir}/geoclue-master
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Master.service
%{_datadir}/GConf/gsettings/geoclue
%{_datadir}/glib-2.0/schemas/org.freedesktop.Geoclue.gschema.xml

%files recommended
%defattr(-, root, root)
%{_libexecdir}/geoclue-geonames
%{_libexecdir}/geoclue-hostip
%{_libexecdir}/geoclue-localnet
%{_libexecdir}/geoclue-manual
%{_libexecdir}/geoclue-nominatim
%{_libexecdir}/geoclue-plazes
%if 0%{?suse_version} > 1120
%{_libexecdir}/geoclue-skyhook
%endif
%{_libexecdir}/geoclue-yahoo
%{_datadir}/geoclue-providers/geoclue-geonames.provider
%{_datadir}/geoclue-providers/geoclue-hostip.provider
%{_datadir}/geoclue-providers/geoclue-localnet.provider
%{_datadir}/geoclue-providers/geoclue-manual.provider
%{_datadir}/geoclue-providers/geoclue-nominatim.provider
%{_datadir}/geoclue-providers/geoclue-plazes.provider
%if 0%{?suse_version} > 1120
%{_datadir}/geoclue-providers/geoclue-skyhook.provider
%endif
%{_datadir}/geoclue-providers/geoclue-yahoo.provider
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Geonames.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Hostip.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Localnet.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Manual.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Nominatim.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Plazes.service
%if 0%{?suse_version} > 1120
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Skyhook.service
%endif
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Yahoo.service

%files example
%defattr(-, root, root)
%{_libexecdir}/geoclue-example
%{_datadir}/geoclue-providers/geoclue-example.provider
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Example.service

%files gsmloc
%defattr(-, root, root)
%{_libexecdir}/geoclue-gsmloc
%{_datadir}/geoclue-providers/geoclue-gsmloc.provider
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Gsmloc.service

%files -n libgeoclue0
%defattr(-, root, root)
%dir %{_datadir}/geoclue-providers
%{_libdir}/*.so.*

%files -n libgeoclue-devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/geoclue
%{_datadir}/gtk-doc/html/geoclue

%changelog
* Wed Apr 13 2016 idonmez@suse.com
- Update to GNOME 3.20  Fate#318572
* Wed Mar  2 2016 dimstar@opensuse.org
- Drop dependency on gypsy (which is dead, unmaintained):
  + Remove --enable-gypsy configure parameter.
  + Drop libgypsy-devel BuildRequires.
  + Drop geoclue-gypsy sub-package.
* Wed Mar 27 2013 mmeister@suse.com
- Added url as source.
  Please see http://en.opensuse.org/SourceUrls
* Mon Oct 22 2012 bruno@ioda-net.ch
- Update to last upstream stable 0.12.99 which build fine on factory
- Removed all upstream included patch
- Fix fsf address
* Tue Jan 31 2012 vuntz@opensuse.org
- Add geoclue-glib-2.31.patch: fix build with glib 2.31.
* Sat Oct  1 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Wed May  4 2011 idoenmez@novell.com
- Add geoclue-use-libnm-glib.patch: use networkmanager glib interface
- Drop gpsd support, it doesn't compile
- Add geoclue-0.12.0-gcc46.patch: remove write-only variable
* Fri Sep 10 2010 vuntz@opensuse.org
- Fix build on 11.2 and earlier.
* Fri Jun  4 2010 coolo@novell.com
- add baselibs.conf
* Fri Mar 26 2010 vuntz@opensuse.org
- Update to version 0.12.0:
  + add Geocode.FreeformAddressToPosition()-method
  + add Nominatim (OpenStreetMap) geocoder/revgeocoder
  + gsmloc provider: stop using gammu, start using ofono
  + don't do horrible shell script calls in providers
  + example improvements
  + hostip api update
  + gpsd api update
  + use opencellid.org instead of gsmloc.org
  + Master Client: add Invalidated signal when the dbus client
    object dies
  + bug fixes
- Drop geoclue-gammu-api.patch, and remove gammu-devel
  BuildRequires: the gammu dependency was dropped.
- Add geoclue-nm08.patch to fix build against NetworkManager 0.8,
  thanks to Fedora. Add gtk-doc BuildRequires and call to
  autoreconf for it.
- Add libsoup-devel BuildRequires to build the skyhook provider.
- Remove SUSE_ASNEEDED=0: it's not needed anymore.
- Manually install geoclue-test-gui since it's not installed
  by default anymore.
* Thu Jul 30 2009 vuntz@novell.com
- Export SUSE_ASNEEDED=0 to fix build.
* Wed Jun 17 2009 vuntz@novell.com
- Initial package.
